Bug 115858 - error: unpacking of archive failed: cpio: lstat failed
error: unpacking of archive failed: cpio: lstat failed
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
: 115852 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 13:07 EST by Mike
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 15:23:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Duplicate Notice (69 bytes, text/plain)
2004-02-16 14:57 EST, Mike
no flags Details
extract of /var/log/messages from Feb 16, 2004 (66.53 KB, text/plain)
2004-02-17 11:31 EST, Mike
no flags Details

  None (edit)
Description Mike 2004-02-16 13:07:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
During the up2date process I ran into the following error:


Testing package set / solving RPM inter-dependencies...
########################################
XFree86-4.3.0-55.i386.rpm:  ########################## Done.
Preparing              ########################################### [100%]

Installing...
   1:XFree86               
########################################### [100%]
There was a fatal RPM install error. The message was:
There was a rpm unpack error installing the package: XFree86-4.3.0-55


Checking the rpm seems it's not corrupted ....

==============================================
10:42:02 # rpm -Kv XFree86-4.3.0-55.i386.rpm
XFree86-4.3.0-55.i386.rpm:
    Header V3 DSA signature: OK, key ID 4f2a6fd2
    Header SHA1 digest: OK (2dadf08e36a9d5fc6f98d231c3089e5a833f63a3)
    MD5 digest: OK (24e2d523087c1c811497fb10e48d4693)
    V3 DSA signature: OK, key ID 4f2a6fd2


Running rpm manually with verbose setting .....
===============================================
11:11:33 # rpm -U -vv XFree86-4.3.0-55.i386.rpm

/usr/X11R6/lib/X11/xkb/compat/pc98;4030f9ef
D: fini      100444  1 (   0,   0)      1626
/usr/X11R6/lib/X11/xkb/compat/xfree86;4030f9ef
D: fini      100444  1 (   0,   0)      1530
/usr/X11R6/lib/X11/xkb/compat/xtest;4030f9ef
D: fini      120777  1 (   0,   0)        26
/usr/X11R6/lib/X11/xkb/compiled;4030f9ef
D: undo      040755  4 (   0,   0)         0
/usr/X11R6/lib/X11/xkb/geometry
GZDIO:     935 reads,  7659520 total bytes in 0.152 secs
error: unpacking of archive failed: cpio: lstat failed - Input/output
error

Regards,  Mike Klinke


Version-Release number of selected component (if applicable):
XFree86-4.3.0-55.i386

How reproducible:
Didn't try


Additional info:
Comment 1 Mike 2004-02-16 14:57:38 EST
Created attachment 97712 [details]
Duplicate Notice
Comment 2 Mike A. Harris 2004-02-17 01:01:30 EST
This isn't an XFree86 package flaw.  It looks to me like you have
a corrupted system, or perhaps up2date or rpm has a bug in it.
The rpm package verifies fine here, and upgrades without a hitch.

Reassigning to up2date component for review/resolution by an RHN
engineer.
Comment 3 Mike 2004-02-17 09:14:32 EST
Hmmm, since it seems this bug rather than it's duplicate, 115852, will
be carried forward Iĺl add my note of resolution here.  As to your
guess about the "a corrupted system", I couldn't agree more. The
question would be "why?"  Is there a mechanism in the rpm installation
process that can corrupt a directory entry so that "stat" will fail? 
Here's what I ran into ..

Something seems to have choked during an update of XFree86 here and it 
looks like something in the directory structure got hosed.  If I do a 
"ls" of /usr/X11R6/lib/X11/xkb I see:

12:58:22 # ls
compat geometry  keycodes.dir  README rules  symbols.dir  xkbcomp
compat.dir geometry.dir keymap README.config semantics    types
compiled  keycodes  keymap.dir README.enhancing  symbols  types.dir

but if I do a "ll" I see:

drwxr-xr-x    2 root     root 4096 Feb 16 11:12 compat
-r--r--r--    1 root     root 689 Feb 12 12:27 compat.dir
lrwxrwxrwx    1 root     root 26 Feb 16 11:12 compiled -> 
../../../../../var/lib/xkb
-r--r--r--    1 root     root 1730 Oct 24 17:07 geometry.dir
drwxr-xr-x    4 root     root 4096 Nov  8 14:29 keycodes
-r--r--r--    1 root     root 2517 Oct 24 17:07 keycodes.dir
drwxr-xr-x    5 root     root 4096 Nov  8 14:29 keymap
-r--r--r--    1 root     root 8478 Oct 24 17:07 keymap.dir
-r--r--r--    1 root     root  983 Feb 12 12:27 README
-r--r--r--    1 root     root 7548 Feb 12 12:27 README.config
-r--r--r--    1 root     root 23367 Feb 12 12:27 README.enhancing
drwxr-xr-x    2 root     root 4096 Nov  8 14:29 rules
drwxr-xr-x   12 root     root 4096 Nov  8 14:29 symbols
-r--r--r--    1 root     root 38570 Oct 24 17:07 symbols.dir
drwxr-xr-x    2 root     root 4096 Nov  8 14:29 types
-r--r--r--    1 root     root  464 Oct 24 17:07 types.dir
-rwxr-xr-x    1 root     root 288132 Oct 24 17:19 xkbcomp

You'll note that there is no "geometry" directory in the "ll" whereas 
there is in the "ls". The directory couldn't be entered, mv'd, cp'd,
deleted or stat'd.  I don't know why this happens but this 
melds well with the failure to install the XFree86 rpm which gives an 
error message:

/usr/X11R6/lib/X11/xkb/compat/xfree86;4030f9ef
D: fini      120777  1 (   0,   0)        26
D: undo      040755  4 (   0,   0)         0 
/usr/X11R6/lib/X11/xkb/geometry
GZDIO:     935 reads,  7659520 total bytes in 0.152 secs
error: unpacking of archive failed: cpio: lstat failed - Input/output 
error

I re-booted into single user mode and deleted the "gemoetry" directoy 
and tried to re-install the XFree86 rpm but found that not only the 
"geometry" directory but also the "semantics" and the "symbols" 
directory had to be deleted in order for the installation of the RPM 
to succeed. After succeeding, the RPM seems to have re-constructed 
everything again.

All "seems" well now that I've rebooted back into GUI mode.
Comment 4 Mike A. Harris 2004-02-17 10:01:03 EST
Please provide the output of the following commands:

'mount'
'df'
'lsmod'

Please attach your /var/log/messages file also using the bugzilla
file attachment link below.
Comment 5 Mike A. Harris 2004-02-17 10:07:04 EST
*** Bug 115852 has been marked as a duplicate of this bug. ***
Comment 6 Mike 2004-02-17 11:29:38 EST
Results of mount, df, and lsmod .....

Regards,  Mike Klinke

10:14:46 # mount
/dev/hda8 on / type ext3 (rw)
none on /proc type proc (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
usbdevfs on /proc/bus/usb type usbdevfs (rw)
/dev/hda7 on /boot type ext3 (rw)
none on /dev/shm type tmpfs (rw)
/dev/hda10 on /app type ext3 (rw)
/dev/hda5 on /usr/share type ext2 (rw)
/dev/hda6 on /mnt/dos type vfat (rw,noexec,nosuid,nodev)

10:17:07 # df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda8              3312696   2534252    610168  81% /
/dev/hda7                46636     10899     33329  25% /boot
none                    159396         0    159396   0% /dev/shm
/dev/hda10              956045    790546    114495  88% /app
/dev/hda5              1927572    665412   1159351  37% /usr/share
/dev/hda6              2095376   1275552    819824  61% /mnt/dos

10:17:17 # lsmod
Module                  Size  Used by    Not tainted
i810_audio             27560   1  (autoclean)
ac97_codec             16712   0  (autoclean) [i810_audio]
soundcore               6468   2  (autoclean) [i810_audio]
i810                   68964  13
agpgart                55492   7  (autoclean)
usbvision             101152   0  (unused)
usbvideo               27648   0  [usbvision]
i2c-algo-usb            2940   0  [usbvision]
tuner                  11840   0  (unused)
videodev                8288   0  [usbvision usbvideo]
i2c-core               18980   0  [i2c-algo-usb tuner]
parport_pc             18756   1  (autoclean)
lp                      8580   0  (autoclean)
parport                37056   1  (autoclean) [parport_pc lp]
autofs                 12084   0  (autoclean) (unused)
e100                   55940   1
nls_iso8859-1           3516   1  (autoclean)
nls_cp437               5148   1  (autoclean)
vfat                   12524   1  (autoclean)
fat                    38040   0  (autoclean) [vfat]
sr_mod                 17400   0  (autoclean) (unused)
cdrom                  34560   0  (autoclean) [sr_mod]
floppy                 57308   0  (autoclean)
sg                     35436   0  (autoclean)
usb-storage            70624   0
keybdev                 2656   0  (unused)
mousedev                5268   1
hid                    23908   0  (unused)
input                   5888   0  [keybdev mousedev hid]
usb-uhci               26124   0  (unused)
usbcore                78752   1  [usbvision usbvideo usb-storage hid
usb-uhci]
ext3                   71300   3
jbd                    51052   3  [ext3]
sbp2                   20204   0  (unused)
ohci1394               28744   0  (unused)
ieee1394              203876   0  [sbp2 ohci1394]
sd_mod                 13388   0
scsi_mod              110216   5  [sr_mod sg usb-storage sbp2 sd_mod]
Comment 7 Mike 2004-02-17 11:31:24 EST
Created attachment 97753 [details]
extract of /var/log/messages from Feb 16, 2004
Comment 8 Matthew Miller 2006-07-11 13:50:52 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 9 John Thacker 2006-10-28 15:23:04 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.

Note that up2date is not present in FC5 or FC6, the only current non-Legacy
Fedora Core releases.  However, related bugs may occur in yum, pirut, or other
updating mechanisms.

Note You need to log in before you can comment on or make changes to this bug.